local function config()
  vim.cmd.colorscheme 'gruvbox'
end

return {
  'morhetz/gruvbox',
  priority = 1000,
  config = config,
  dependencies = {
    'nvim-lualine/lualine.nvim',
    opts = {
      options = {
        theme = 'gruvbox',
      },
      sections = {
        lualine_a = { 'mode' },
        lualine_b = { 'diagnostics' },
        lualine_c = { { 'filename', path = 3 } },
        lualine_x = { 'encoding', 'fileformat', 'filetype' },
        lualine_y = { 'progress' },
        lualine_z = { 'location' }
      },
    },
  },
}
